package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.CancelDebtList;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.entity.StoreParament;
import com.ssm.manage.entity.StoreRoom;
import com.ssm.manage.query.CancelDebtListRequest;
import com.ssm.manage.query.RoomSatet;
import com.ssm.manage.query.StoreRoomRequest;

import java.text.ParseException;

public interface SsmStoreRoomService extends BaseService<StoreRoom> {
    PageInfo<StoreRoom> selectPage(StoreRoomRequest storeRoomRequest) throws SmsException, ParseException;
    PageInfo<StoreRoomRequest> selectPages(StoreRoomRequest storeRoomRequest) throws SmsException, ParseException;
    RoomSatet selectstate(StoreRoomRequest storeRoomRequest);

    int add(StoreRoomRequest storeRoomRequest,String phone) throws SmsException;
    int update(StoreRoomRequest storeRoomRequest,String phone) throws SmsException;
    int updateStates(StoreRoomRequest storeRoomRequest,String phone) throws SmsException;
}
